Description

The usage of mRID has been brought up during the GMDM IOP and followings are the topics to be covered

+ Should the UML be changed to make the mRID a UUID instead of a string?

» The omission of mRID in favor of rdf:ID/rdf:about has been inadequately canonized. How can we canonize this in a way that does
not retroactively break anyone’s software?

*  When the mRID is included, what should be done when the mRID value does not exactly match the fully-expanded
rdf:ID/rdf:about?

»  What should be done for mRIDs that are not UUIDs but that do not correctly override the xml:base?

»  What should be done when a 61968-100 mRID does not conform to the xml:base nor exactly match the fully-expanded
rdf:ID/rdf:about?

Decision
Reviewed on 15-Jun-2023 in Oslo:

Decisions:
1. Change the description of mRID to:

Master resource identifier issued by a model authority. The mRID is unique within an exchange context.
Global uniqueness is easily achieved by using a UUID, as specified in IETF RFC 4122, for the mRID. The use of
UUID is strongly recommended.

2. The rdf:ID/rdf:about will be a 552 issue & JSON-LD @ID will be a 553 issue. This will not be tied to the UML. In the 552
rdf:ID/rdf:about is to be decoupled from the mRID attribute and explicitly prescribed to be a UUID. The same being true in the 553.
This will allow both serializations to have the same identifier, generated by the same rules to produce the same IRIs. The legacy
formats will be based on local business rules instead of standards-based rules.

3. We currently have in Section 8.7 in Part 100 Ed 2.0 the new ObjectldentificationRevisionSets profile (i.e. for object registries). We
need to introduce a new similar profile (RDF-based) and include in the 552. See if we can utilize the existing profile to generate the
RDFS or if there needs to be additional work done to the profile. To clarify, this bullet point addresses the identifier now tied to
serialization. (Additionally reviewed on 05-Jul-2023 and the below sub bullet points have been added for clarification).

- The existing documentation (for the latest (Names, NameType and NameTypeAuthority) proposal has been forwarded to Chavdar.
This is what we agreed needs to be added to the 301 Ed. 8.0.

- Then we need to have a discussion with respect to whether an additional profile is necessary and which would be included in the
552.

- Svein has suggested including currently parked (or some variation) of the draft of the "Naming Service Specification” (i.e. IEC
61970-454). Would need to be revisited and collectively agreed upon but this may be one approach. If so the sugggestion is to
include in the IEC 61970-452
#1 - 02/15/2023 05:48 AM - Pat Brown

- File GMDM 19 - Consistent up-to-date approach to identifiers.docx added

- File GMDM IOP Serialization.docx added
- File Joeps thoughts on identifiers.docx added

- File Pats thoughts and notes on identifiers.docx added

- Subject changed from mRID topics to mRID topics [incl GMDM #19]

See attached files for GMDM-related information on the topic.

#2 - 02/15/2023 03:07 PM - Jim Waight
- File mRID discussion.pptx added

WG16 inputs from Alvaro

#3 - 04/06/2023 11:03 AM - Alvaro Marciel
- File ENTSO-E_mRID_position.pdf added

ENTSO-E position on mRID

#4 - 06/15/2023 09:53 AM - Todd Viegut

- Decision updated

#5 - 06/15/2023 09:54 AM - Todd Viegut

- Status changed from New to Open

#6 - 06/15/2023 09:54 AM - Todd Viegut

- Status changed from Open to Review

#7 - 06/15/2023 10:26 AM - Todd Viegut

- Decision updated

#8 - 07/05/2023 10:32 AM - Todd Viegut

- Decision updated

#9 - 07/05/2023 10:33 AM - Todd Viegut

- Decision updated

#10 - 12/11/2023 11:27 AM - Becky Iverson

Testing making updates to the Redmine issue.
